from sklearn.datasets import load_breast_cancer
from sklearn.linear_model import LogisticRegression
from sklearn.tree import DecisionTreeClassifier

breast_cancer = load_breast_cancer()
X = breast_cancer.data
y = breast_cancer.target

clf1 = LogisticRegression()
clf1.fit(X,y)
for f, w in zip(breast_cancer.feature_names, clf1.coef_[0]) :
    print("{0:<23}: {1:6.2f}". format(f, w))

# ȉ̃R[hsɂ graphviz̃CXg[Kv
from IPython.display import Image
from sklearn.tree import export_graphviz
import pydotplus

clf2 = DecisionTreeClassifier(max_depth=2)
clf2.fit(X, y)
dot_data = export_graphviz(clf2, out_file=None, 
                         feature_names=breast_cancer.feature_names,  
                         class_names=breast_cancer.target_names,  
                         filled=True, rounded=True,  
                         special_characters=True)  
graph = pydotplus.graph_from_dot_data(dot_data)
Image(graph.create_png()) 
